Skip to main content
GET
/
agents
/
{agentId}
/
threads
List Threads for a published Agent
curl --request GET \
  --url https://mosoo.ai/api/v1/agents/{agentId}/threads \
  --header 'Authorization: Bearer <token>'
{
  "threads": [
    {
      "agent_id": "<string>",
      "attributed_user": {
        "id": "<string>"
      },
      "client_external_ref": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": {
        "id": "<string>"
      },
      "id": "<string>",
      "last_run_id": "<string>",
      "source": "<unknown>",
      "title": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer grt_pat_... . PATs identify an account and do not carry scopes.

Path Parameters

agentId
string
required

Published Agent ID from the Agent's API Access panel.

Query Parameters

archived
boolean

Response

Thread list.

threads
object[]
required